Bug 1509214 (CVE-2017-12176) - CVE-2017-12176 xorg-x11-server: Unvalidated extra length in ProcEstablishConnection
Summary: CVE-2017-12176 xorg-x11-server: Unvalidated extra length in ProcEstablishConn...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12176
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:06 UTC by Adam Mariš
Modified: 2019-09-29 14:24 UTC (History)
12 users (show)

Fixed In Version: xorg-x11-server 1.19.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 05:54:53 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:06:06 UTC
Missing extra length validation was found in ProcEstablishConnection function.

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=b747da5e25be944337a9cd1415506fc06b70aa81

Comment 1 Adam Mariš 2017-11-03 11:06:15 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:30:28 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.